<script>
	

	function pon_prefijo(dscart) {
	parent.document.form_busqueda.chkhab.value="";
	parent.document.form_busqueda.cdgbar.value="";
	parent.document.form_busqueda.cantidad.value="1";
	parent.document.form_busqueda.dscart.value=dscart;
	parent.document.form_busqueda.dscart.select();
	//parent.document.getElementById("form_busqueda").submit();



}



	function pon_prefijo2(dscart) {
	parent.document.form_busqueda.chkhab.value="";
	parent.document.form_busqueda.cdgbar.value="";
	parent.document.form_busqueda.cantidad.value="";
	parent.document.form_busqueda.dscart.value=dscart;
	parent.document.form_busqueda.dscart.select();
	//parent.document.getElementById("form_busqueda").submit();



}



function chk_aplicacion(cdgbar,chkhab)
			{
   	posicion=(1*18)-60;
   	parent.document.form_busqueda.cdgbar.value=cdgbar; 
	parent.document.form_busqueda.chkhab.value=chkhab;
	parent.document.form_busqueda.posicion.value=posicion;
	parent.document.getElementById("form_busqueda").submit();
	var elmnt = document.getElementById("xdetalleAW");  // NOMBRE DEL DIV DONDE PERTENECE EL SCROLL 
    elmnt.scrollLeft=posicion; 
    elmnt.scrollTop =posicion;
 
		}




	
</script>


<?php
include ("../conexion.php"); 

$numfac=strtoupper($_POST["numfac"]);
$cdgbar=strtoupper($_POST["cdgbar"]);
$cdgbar2=strtoupper($_POST["cdgbar"]);
$cdgbar3=strtoupper($_POST["cdgbar"]);
$dscart=strtoupper($_POST["dscart"]);
$descripcion=strtoupper($_POST["dscart"]);
$chkhab=$_POST["chkhab"];
 $chequeo=$_POST["chkhab"];
$codigo_imprimir=strtoupper($_POST["codigo_imprimir"]);
$cantidad=$_POST["cantidad"];

$cadena_busqueda=$_POST["cadena_busqueda"];

if ($chkhab <> "" ) { 

  $query="UPDATE habladores SET chkhab='$chkhab'  WHERE cdgbar='$cdgbar'";
	$mysqli->query($query);
  

}

$where="1=1";

if ($dscart <> "") { $where.=" AND dscart like '%".$dscart."%'"; }
if ($cdgbar <> "") { $where.=" AND cdgbar like '%".$cdgbar."%' OR cdgbar2 like '%".$cdgbar."%'  OR cdgbar3 like '%".$cdgbar."%' "; }




if ( ($numfac <> "" ) && ( $cantidad == "" )) { 



	if ($result = $mysqli->query("SELECT * FROM facturas_compras WHERE numfac = '$numfac'" )) {
  $filas = $result->num_rows;
   $result->close();
}

if ($filas > 0) {
		$query_busqueda="SELECT * FROM facturas_compras WHERE numfac = '$numfac' ";	
		$rs_query = $mysqli->query($query_busqueda);
		$filas = $rs_query->fetch_array();
			 $codfactura    = $filas["codfactura"];
			 
			 


						   
						   	$consulta2 = "DELETE FROM habladores ";
     						$mysqli->query($consulta2);	

						   $sel_resultado="SELECT * FROM factulinea_compra WHERE   codfactura = '$codfactura' ";
						   //$sel_resultado=$sel_resultado."  limit ".$iniciopagina.",300";
						   if ($resultado = $mysqli->query($sel_resultado)) 
						   
						  // $res_resultado=mysql_query($sel_resultado);
						   $contador=0;
						   
						     while ($fila = $resultado->fetch_assoc()) {
						  // while ($contador < mysql_num_rows($res_resultado)) { 

					       $cdgbar    = $fila["codigo"];
						   $dscart    = $fila["dscart"];
						   $dscart    = substr($dscart, 0, 25);  
						   $pre001    = $fila["PRE001"];
						   $PREANT    = $fila["PREANT"];
						   
						 
						   if ($pre001  <>  $PREANT)  { 
						   
						   $chkhab = 1;
						   }  else   {
						   
						   $chkhab = 0; 
						   } 
		   
		$query_operacion="INSERT INTO habladores ( cdgbar, dscart,  pre001, PREANT , chkhab ) VALUES ('$cdgbar','$dscart',  '$pre001', '$PREANT'  , '$chkhab')";					
	$mysqli->query($query_operacion);	
				
			
			
						 $contador++;
						 
					 
							}  // CIERRA EL CLICO DEL CONTADOR

								$filas=1;	
				
				
					 } else  {  
							
							$filas=0;	
	
						 }	
						 } else  {

							
					  $query="UPDATE habladores SET chkhab='$chkhab'  WHERE cdgbar='$cdgbar'";
						 $mysqli->query($query);	
		                $filas=1;
							
							}  // CIERRA QUE ESTA EDITANDO EL GRID





if ($codigo_imprimir <> "" ) { 

	 $consulta2 = "DELETE FROM habladores ";
     $mysqli->query($consulta2);	

$where.=" ORDER BY cdgart DESC";
$query_busqueda2="SELECT count(*) as filas FROM web_1001 WHERE cdgbar='$codigo_imprimir' " ;

       $resultado = $mysqli->query($query_busqueda2);
       $row = $resultado->fetch_array();
       $filas = $row["filas"];

if ($filas > 0) {

						   $sel_resultado="SELECT CDGART, CDGBAR, CDGBAR2, CDGBAR3, DSCART, PRE001 FROM web_1001 WHERE  cdgbar='$codigo_imprimir'  ";
						   //$sel_resultado=$sel_resultado."  limit ".$iniciopagina.",300";
						   //$res_resultado=mysql_query($sel_resultado);
						    if ($resultado = $mysqli->query($sel_resultado)) 
						  // $contador=0;
						  // while ($contador < mysql_num_rows($res_resultado)) { 
						    while ($fila4 = $resultado->fetch_assoc()) {
						   
						   $cdgart    = $fila4["CDGART"];
						   $cdgbar    = $fila4["CDGBAR"];
						   $cdgbar2   = $fila4["CDGBAR2"];
						   $cdgbar3   = $fila4["CDGBAR3"];
						   $dscart    = $fila4["DSCART"];
						   $dscart    = substr($dscart, 0, 25);  
						   $pre001    = $fila4["PRE001"];
						   
						   
		$query_operacion="INSERT INTO habladores ( cdgart, cdgbar, cdgbar2, cdgbar3, dscart,  pre001 ) VALUES ('$cdgart','$cdgbar','$cdgbar2','$cdgbar3','$dscart',  '$pre001' )";					
	 $mysqli->query($query_operacion);
				
				
			
						// $contador++;
							}
							$filas=1;	
							
									} else   { 
									
									$filas=0;	

						}	
                       }


if (($numfac == "" ) &&  ($codigo_imprimir == "" )    ) { 

      if  (( $dscart  <> "" ) || ($cdgbar  <> "" ))   {

$where.=" ORDER BY cdgart DESC";
$query_busqueda3="SELECT count(*) as filas FROM web_1001 WHERE estart <> 4 and ".$where;

       $resultado = $mysqli->query($query_busqueda3);
       $row = $resultado->fetch_array();
       $filas = $row["filas"];



?>

<?php
if ($filas > 0) {

						   $sel_resultado="SELECT * FROM web_1001 WHERE  estart  <> 4 and cdgart  <> 0 and cdgart  <> 1	  and  ".$where;
						if ($resultado3 = $mysqli->query($sel_resultado))
						 // $res_resultado=mysql_query($sel_resultado);
						  // $contador=0;
						  // while ($contador < mysql_num_rows($res_resultado)) { 
						    while ($fila3 = $resultado3->fetch_assoc()) {

						   
						   
						   $cdgart    = $fila3["CDGART"];
						   $cdgbar    = $fila3["CDGBAR"];
						   $cdgbar2   = $fila3["CDGBAR2"];
						   $cdgbar3   = $fila3["CDGBAR3"];
						   $dscart    = $fila3["DSCART"];
						   $dscart    = substr($dscart, 0, 25);  
						   $pre001    = $fila3["PRE001"];
						   
						   
		$query_operacion="INSERT INTO habladores ( cdgart, cdgbar, cdgbar2, cdgbar3, dscart,  pre001 ) VALUES ('$cdgart','$cdgbar','$cdgbar2','$cdgbar3','$dscart',  '$pre001' )";					
	 $mysqli->query($query_operacion);
				
				
			
						// $contador++;
							}}
							
							}}





?>
<html>
	<head>
		<title>Articulos</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		function ver_articulo(cdgart) {
			parent.location.href="ver_articulo.php?cdgart=" + cdgart + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function modificar_articulo(cdgart) {
			parent.location.href="modificar_articulo.php?cdgart=" + cdgart + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function eliminar_articulo(cdgart) {
			parent.location.href="eliminar_articulo.php?cdgart=" + cdgart + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}





function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+200);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+200;
			}
			
			    var elmnt = document.getElementById("xdetalleAW");
    var posicion=document.getElementById("posicion").value;
    elmnt.scrollLeft = posicion;
    elmnt.scrollTop = posicion;
		}
		</script>
	</head>

	<body onload=inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
				<?php
				// $iniciopagina=$_POST["iniciopagina"];
				 
				 if (!isset($_POST["iniciopagina"])) { $iniciopagina=""; } else  { $iniciopagina=$_POST["iniciopagina"]; }
				if (empty($iniciopagina)) {
					if (!isset($_GET["iniciopagina"])) { $iniciopagina=""; } else  { $iniciopagina=$_GET["iniciopagina"]; }
					// $iniciopagina=$_GET["iniciopagina"]; 
					} else 
					 { $iniciopagina=$iniciopagina-1;}
				if (empty($iniciopagina)) { $iniciopagina=0; }
				if ($iniciopagina>$filas) { $iniciopagina=0; }
			
					if ($filas > 0) { ?>
					
						<?php
						if (($numfac <> "" ) || ($codigo_imprimir <> "" )) { 
						
						 $sel_resultado="SELECT * FROM habladores ";
				   $sel_resultado=$sel_resultado."  limit ".$iniciopagina.",200";
						 
						} else { 
						
						 $sel_resultado="SELECT * FROM habladores  WHERE   ".$where;
					   $sel_resultado=$sel_resultado."  limit ".$iniciopagina.",200";	
						}
			
						  // $res_resultado=mysql_query($sel_resultado);
						  
						   
						   if ($result = $mysqli->query($sel_resultado)) 
						    $contador=0;
						    while ($fila2 = $result->fetch_assoc()) {
						  // while ($contador < mysql_num_rows($res_resultado)) { 
						    $chkhab= $fila2["chkhab"];
							$cdgbar= $fila2["CDGBAR"];

						  
								 if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
						<tr class="<?php echo $fondolinea?>">
						<td  width="16%"><?php echo  $fila2["CDGBAR"] ?></td>
		
					
							<?php
							$dscart=$fila2["DSCART"];
							 //$dscart= mysql_result($res_resultado,$contador,"dscart");
							$dscart = substr($dscart, 0, 60);  ?>
						<td><div align="left"><?php echo $dscart?></div>						  <div align="left"></div></td>
						<td class="aDerecha" width="11%"><div align="right"><?php echo  number_format($fila2["PRE001"],2,".",",")?></div></td>
							<td width="5%"><div align="center"><a href="#"></a></div></td>
														<td width="3%"><div align="center"><a href="#"></a></div></td>
							<td width="6%"><div align="center"><a href="#"></a></div></td>
							
					 <?php if ( $chkhab ==0){ ?>
                <td width="2%"><input type="checkbox" value="otro" name="valores"   onClick="chk_aplicacion('<?php echo $cdgbar ?>',<?php echo 1 ?>)" /> </td>
		       <?php } else { ?>
                <td width="2%"><input type="checkbox" value="otro" name="valores"   checked   onclick="chk_aplicacion('<?php echo $cdgbar ?>',<?php echo 0 ?>)" /> </td>
                <?php }  ?> 
						</tr>
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "No hay ning&uacute;n articulo que cumpla con los criterios de b&uacute;squeda";?></td
					    ></tr>
					</table>	
					
									
					<?php } 		
					
				
				if (($chequeo <> "" ) && ($numfac <> "" )	){ 	
				
				?>		
					 <script languaje="javascript">
			pon_prefijo('<?php echo $descripcion ?>');</script>
				<?php	}	
				
				if (($chequeo <> "" ) && ($numfac == "" )) { 	
				
				?>		
					 <script languaje="javascript">
			pon_prefijo2('<?php echo $descripcion ?>');</script>
				<?php	}	?>					
			  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
